Subject: Re: [IPCOMP] Use per-cpu buffers

From: "David S. Miller" <[email-masked]>
Date: Thu, 9 Sep 2004 09:16:52 -0700

On Thu, 9 Sep 2004 22:22:02 +1000
Herbert Xu <[email-masked]> wrote:

> With per-cpu buffers this goes down to 300K per CPU.

That amount of space just for decompression state is
rediculious.

I seem to recall that the last time I looked at this
the reason the tables are so huge is that the zlib
we use in the kernel isn't configurable.  The table
configuration is compile time decided.

Yes, it's because of linux/zlib.h's cpp settings.

I guess it would be a lot of surgery to make this dynamic.

A second thought is that we may not be the only part
of the kernel interested in a per-cpu zlib scratch
buffer, no?